Bug 74173 - ddcprobe can trigger a kernel panic
Summary: ddcprobe can trigger a kernel panic
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL: http://www-uxsup.csx.cam.ac.uk/~rjd4/...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-17 11:08 UTC by Bob Dowling
Modified: 2015-01-04 22:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-27 23:12:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bob Dowling 2002-09-17 11:08:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
On a small number of our systems, the ddcprobe command causes a kernel panic. 
It doesn't happen always and only some systems exhibit this behaviour.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Run ddcprobe many times (eg in a loop of "ddcprobe; sleep 5")
2.That's it!
3.
	

Actual Results:  We get a few lines of identical ddcprobe output and then the
kernel panics.

Expected Results:  We should have just seen large number of identical DDC lines.

Additional info:

At the URL quotes you can find our manual transcription of the screen contining
the kernel panic message, the output of a run of ddcprobe and the hardware
configuration as spotted by kudzu.

$ rpm -q kernel
kernel-2.4.18-7.80
$ rpm -qf /usr/sbin/kudzu 
kudzu-0.99.63-3
$ rpm -qf /usr/sbin/ddcprobe 
rhpl-0.30-1

Comment 1 Arjan van de Ven 2002-09-17 11:31:07 UTC
please try a more recent kernel too; we've fixed quite a few bugs in the vm86
emulation code (and ddcprobe uses that a lot ;)

Comment 2 Bob Dowling 2002-09-18 14:02:24 UTC
We have tried it again with kernel-2.4.18-11 and the problem occurs in exactly
the same way.  This is the latest in our "null" mirror.  If you had a different
kernel in mind please give specifics.

Comment 3 Bob Dowling 2002-09-18 14:11:44 UTC
Further data: We have built kernel-2.4.18-7.80 with apm configured as a module.
 With the module unloaded our kernel survives ddcprobe without difficulty. 
Loading the module causes the crashes to recur.


Comment 4 Mike McLean 2003-01-02 19:01:39 UTC
This bug has been inappropriately marked MODIFIED. Please review the bug life
cycle information at 
http://bugzilla.redhat.com/bugzilla/bug_status.cgi

Changing bug status to ASSIGNED.


Note You need to log in before you can comment on or make changes to this bug.